Page MenuHomePhabricator

Get scap-vagrant working for use in l10n tracing
Closed, ResolvedPublic

Description

The scap-vagrant project has been busted for a while. I'd like to get it working again so I can trace l10n things. Eventually we can integrate changes into its successor, MediaWiki Train Development Environment.

Event Timeline

dduvall triaged this task as Medium priority.Aug 26 2020, 10:01 PM
dduvall created this task.
dduvall moved this task from Needs triage to Debt on the Scap board.

Change 621839 had a related patch set uploaded (by Dduvall; owner: Dduvall):
[mediawiki/tools/scap-vagrant@master] Upgrade to buster image

https://gerrit.wikimedia.org/r/621839

Change 622674 had a related patch set uploaded (by Dduvall; owner: Dduvall):
[mediawiki/tools/scap-vagrant@master] Set up etcd for MediaWiki configuration

https://gerrit.wikimedia.org/r/622674

Change 621839 merged by Dduvall:
[mediawiki/tools/scap-vagrant@master] Upgrade to buster image

https://gerrit.wikimedia.org/r/621839

dduvall renamed this task from Get scap-vagrant working for use in l10n profiling to Get scap-vagrant working for use in l10n tracing.Sep 1 2020, 11:03 PM
dduvall updated the task description. (Show Details)

Change 624951 had a related patch set uploaded (by Dduvall; owner: Dduvall):
[mediawiki/tools/scap-vagrant@master] MediaWiki setup for functional scap sync-world

https://gerrit.wikimedia.org/r/624951

Change 622674 merged by Dduvall:
[mediawiki/tools/scap-vagrant@master] Set up etcd for MediaWiki configuration

https://gerrit.wikimedia.org/r/622674

Change 624951 merged by Ahmon Dancy:
[mediawiki/tools/scap-vagrant@master] MediaWiki setup for functional scap sync-world

https://gerrit.wikimedia.org/r/624951

dduvall closed this task as Resolved.Sep 25 2020, 10:44 PM